Bug 188590 - /usr/bin/cdrecord: Device or resource busy. Cannot open '/dev/hda'. Cannot open SCSI driver.
/usr/bin/cdrecord: Device or resource busy. Cannot open '/dev/hda'. Cannot op...
Status: CLOSED DUPLICATE of bug 283321
Product: Fedora
Classification: Fedora
Component: k3b (Show other bugs)
5
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Harald Hoyer
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-04-11 11:47 EDT by Danut Sinca
Modified: 2007-11-30 17:11 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-09-17 09:58:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Danut Sinca 2006-04-11 11:47:45 EDT
Description of problem:

System
-----------------------
K3b Version: 0.12.10

KDE Version: 3.5.1-2.3 Red Hat
QT Version:  3.3.5
Kernel:      2.6.15-1.2054_FC5smp
Devices
-----------------------
HL-DT-ST CD-ROM GCR-8523B 1.02 (/dev/hdb, ) at  [CD-ROM] [CD-ROM] [None]

HL-DT-ST DVDRAM GSA-4120B A100 (/dev/hda, ) at  [CD-R; CD-RW; CD-ROM; DVD-ROM;
DVD-RAM; DVD-R; DVD-RW; DVD+R; DVD+RW; DVD+R DL] [DVD-ROM; DVD-R Sequential;
DVD-RAM; DVD-RW Restricted Overwrite; DVD-RW Sequential; DVD+RW; DVD+R; DVD+R
Double Layer; CD-ROM; CD-R; CD-RW] [SAO; TAO; RAW; SAO/R96P; SAO/R96R; RAW/R16;
RAW/R96P; RAW/R96R; Restricted Overwrite]
Used versions
-----------------------
cdrecord: 2.1.1a03

cdrecord command:
-----------------------
/usr/bin/cdrecord -v gracetime=2 dev=/dev/hda speed=10 -tao driveropts=burnfree
-eject blank=fast -force 

cdrecord
-----------------------
scsidev: '/dev/hda'

devname: '/dev/hda'
scsibus: -2 target: -2 lun: -2
Error trying to open /dev/hda exclusively ... retrying in 1 second.
Error trying to open /dev/hda exclusively ... retrying in 1 second.
Error trying to open /dev/hda exclusively ... retrying in 1 second.
Error trying to open /dev/hda exclusively ... retrying in 1 second.
Error trying to open /dev/hda exclusively ... retrying in 1 second.
Error trying to open /dev/hda exclusively ... retrying in 1 second.
Error trying to open /dev/hda exclusively ... retrying in 1 second.
Error trying to open /dev/hda exclusively ... retrying in 1 second.
Error trying to open /dev/hda exclusively ... retrying in 1 second.
Error trying to open /dev/hda exclusively ... retrying in 1 second.
/usr/bin/cdrecord: Device or resource busy. Cannot open '/dev/hda'. Cannot open
SCSI driver.
/usr/bin/cdrecord: For possible targets try 'cdrecord -scanbus'.
/usr/bin/cdrecord: For possible transport specifiers try 'cdrecord dev=help'.
Cdrecord-Clone 2.01.01a03-dvd (i686-pc-linux-gnu) Copyright (C) 1995-2005 Jörg
Schilling
NOTE: This version contains the OSS DVD extensions for cdrtools and thus may
      have bugs related to DVD issues that are not present in the original
      cdrtools. Please send bug reports or support requests to
      http://bugzilla.redhat.com/bugzilla The original cdrtools author should
      not be bothered with problems in this version.
TOC Type: 1 = CD-ROM




[root@vizuina ~]# cdrecord -scanbus
Cdrecord-Clone 2.01.01a03-dvd (i686-pc-linux-gnu) Copyright (C) 1995-2005 Jörg
Schilling
NOTE: This version contains the OSS DVD extensions for cdrtools and thus may
      have bugs related to DVD issues that are not present in the original
      cdrtools. Please send bug reports or support requests to
      http://bugzilla.redhat.com/bugzilla The original cdrtools author should
      not be bothered with problems in this version.
scsidev: 'ATA'
devname: 'ATA'
scsibus: -2 target: -2 lun: -2
Linux sg driver version: 3.5.27
Using libscg version 'schily-0.8'.
cdrecord: Warning: using inofficial libscg transport code version (schily - Red
Hat-scsi-linux-sg.c-1.85-RH '@(#)scsi-linux-sg.c        1.85 05/05/16 Copyright
1997 J. Schilling').
scsibus0:
        0,0,0     0) 'HL-DT-ST' 'DVDRAM GSA-4120B' 'A100' Removable CD-ROM
        0,1,0     1) 'HL-DT-ST' 'CD-ROM GCR-8523B' '1.02' Removable CD-ROM
        0,2,0     2) *
        0,3,0     3) *
        0,4,0     4) *
        0,5,0     5) *
        0,6,0     6) *
        0,7,0     7) *
[root@vizuina ~]#
Comment 1 Danut Sinca 2006-04-11 11:51:58 EDT
i can't erase, write... i can't use my dvd-rw.... works in Windows or Ubuntu 
Comment 2 Harald Hoyer 2006-04-19 07:12:11 EDT
seems like something is using your cdrom... is it mounted, e.g. by nautilus?
Comment 3 Thomas Antony 2006-06-29 11:43:09 EDT
I have the same problem and also with k3b.
I started in runlevel 3 and tried again and there it works.
I think this has something to do with hal,udev and gnome-mount, because a cd
gets automounted when inserted.
Comment 5 Dean Mander 2007-08-05 12:52:03 EDT
I have the same problem when using kaudiocreator.

When a audio cd is entered in the dvd-drive, kde start kio_audio process (2x).
kaudiocreator then tries to use cd<???-tool> to access the device exclusively,
but it fails.

This is the error from kaudiocreator:
------------------
Unknown error. If you have a cd in the drive try running cdparanoia -vsQ as
yourself (not root). Do you see a track list? If not, make sure you have
permission to access the CD device. If you are using SCSI emulation (possible if
you have an IDE CD writer) then make sure you check that you have read and write
permissions on the generic SCSI device, which is probably /dev/sg0, /dev/sg1,
etc.. If it still does not work, try typing audiocd:/?device=/dev/sg0 (or
similar) to tell kio_audiocd which device your CD-ROM is.
------------------
running cdparanoia -vsQ gives:

$ cdparanoia -vsQ
cdparanoia III release 9.8 (March 23, 2001)
(C) 2001 Monty <monty@xiph.org> and Xiphophorus

Report bugs to paranoia@xiph.org
http://www.xiph.org/paranoia/

Checking /dev/cdrom for cdrom...
        Testing /dev/cdrom for SCSI interface
Error trying to open /dev/scd0 exclusively (Device or resource busy). retrying
in 1 second.

So, it seems to get the device exclusively, but it can't (and it needn't),
because kio_audiocd is already using the device:

$ fuser -v /dev/scd0

                     USER        PID ACCESS COMMAND
/dev/scd0:           knol        8243 f.... kio_audiocd
                     knol        8245 f.... kio_audiocd
                     knol        8253 f.... kaudiocreator


after running 
$ killall -6 kio_audiocd
kaudiocreator works again.


Comment 6 Dean Mander 2007-08-05 12:53:04 EDT
sorry my version of fedora is 7, not 5.

 
Comment 7 Matthew Truch 2007-09-17 09:53:52 EDT
(In reply to comment #6)
> sorry my version of fedora is 7, not 5.
> 
>  

knolderpoor,  your bug seems to be related (the same as?) this one: Bug 283321
Comment 8 Rex Dieter 2007-09-17 09:58:17 EDT
close enough, esp since fc5 is EOL'd.

*** This bug has been marked as a duplicate of 283321 ***

Note You need to log in before you can comment on or make changes to this bug.